aboutsummaryrefslogtreecommitdiff
path: root/deploy.sh
diff options
context:
space:
mode:
authorMaZderMind2016-12-29 13:45:16 +0100
committerMaZderMind2016-12-29 13:46:28 +0100
commitb9d6a4c027d1459de24f08837ff2c1698fb9d151 (patch)
tree4fa422594583e9efefc96f8e2e6eddc4a9da3e38 /deploy.sh
parent67e0447ea419b7864062ebf87b7eb563bff275c0 (diff)
repair deployment checks
Diffstat (limited to 'deploy.sh')
-rwxr-xr-xdeploy.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/deploy.sh b/deploy.sh
index 3deb544..e8a1588 100755
--- a/deploy.sh
+++ b/deploy.sh
@@ -20,24 +20,27 @@ if [ "x$DEPLOY_BRANCH" != "xmaster" ]; then
if [ "x$input" != "xyes" ]; then
exit 2
fi
+ echo ""
fi
if [ `git rev-parse --verify origin/$DEPLOY_BRANCH` != `git rev-parse --verify $DEPLOY_BRANCH` ]; then
- echo "You have commits on the master branch not pushed to origin yet. They would not be deployed."
+ echo "You have commits on the $DEPLOY_BRANCH branch not pushed to origin yet. They would not be deployed."
echo "do you still which to deploy what's already in the repo? then type yes"
read -p "" input
if [ "x$input" != "xyes" ]; then
exit 2
fi
+ echo ""
fi
-if ! (git diff --exit-code >/dev/null || git diff --cached --exit-code >/dev/null); then
+if ! (git diff --exit-code >/dev/null && git diff --cached --exit-code >/dev/null); then
echo "You have uncomitted changes. They would not be deployed."
echo "do you still which to deploy what's already in the repo? then type yes"
read -p "" input
if [ "x$input" != "xyes" ]; then
exit 2
fi
+ echo ""
fi
for host in lb.dus.c3voc.de lb.alb.c3voc.de; do